Subject: Re: bug#25142: openssl lacks lib/libssl.a

From: Marius Bakke <[email-masked]>
Date: Fri, 09 Dec 2016 11:40:51 +0100

ng0 <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> ng0 <[email-masked]> writes:
>>
>>> In commit 0c69a17efdba0c7c3da0f25800a3c3233200e47b I found out
>>> that our openssl lacks lib/libssl.a ... this should be fixed
>>> somehow with the next update of the openssl package.
>>
>> Did you try the "static" output of OpenSSL?
>
> No, I did not know it existed. If this would be in out:static,
> why is this file in libressl normal output?

I think the main reason static libraries are often in separate outputs
is because of bandwidth concerns, since they are often much larger than
their dynamic counterparts (.so). And the closure size can be smaller,
since they don't contain external references.

LibreSSL probably haven't seen enough use for it to be a concern. Feel
free to submit a patch! :-)